#include <bits/stdc++.h>

using namespace std;

typedef vector<int> vi;

int main()
{ ios_base::sync_with_stdio(false);
  cin.tie(0);
  cout.tie(0);
  int i, n, k, x, sum=0;
  cin>> n>> k;
  vi veka(2*n+1);
  for(i=0; i<n; i++)
  { cin>> x;
    veka[n+x]++;
  }
  x=2*n+1;
  for(i=0; i<x; i++)
    if(veka[i]>=k){sum++; veka[i]=-1;}
  cout<< sum<< endl;
  for(i=0; i<x; i++)
    if(veka[i]==-1)cout<< i-n<< ' ';

  return 0;
}